Summary:          A software watchdog daemon
Name:             watchdog
Version:          5.7
Release:          1%{?dist}%{?pext}
License:          GPL
Group:            System Environment/Daemons
Source0:          http://www.ibiblio.org/pub/Linux/system/daemons/%{name}/%{name}-%{version}.tar.gz
Source1:          %{name}.init
Source2:          %{name}.sysconfig
Source3:          %{name}.conf
Patch0:           %{name}-5.7-build.patch
URL:              http://www.ibiblio.org/pub/Linux/system/daemons/%{name}/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           Michael Meskes <meskes@debian.org>
Requires:         smtpdaemon
Requires(post):   /sbin/chkconfig
Requires(preun):  /sbin/chkconfig /sbin/service
Requires(postun): /sbin/service


%description
Watchdog is a daemon that checks if the system is alive and working. It
periodically writes to /dev/watchdog; if the device is opened but not
written to within a configurable time period, the watchdog timer expires
and triggers a machine reboot. Watchdog additionally can execute programs
in user space to check the machine state.


%prep
%setup -q
%patch0 -p1


%build
%configure \
	CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing" \
	--with-randomseed=%{_localstatedir}/lib/random-seed

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_initrddir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sbindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__install} -m 0755 %{SOURCE1} ${RPM_BUILD_ROOT}%{_initrddir}/%{name}
%{__install} -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}

%{__install} -m 0644 %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}

%{__cp}      -r      examples   ${RPM_BUILD_ROOT}%{_datadir}/%{name}


%post
/sbin/chkconfig --add %{name}


%preun
if [ $1 -eq 0 ]; then	# Remove
  /sbin/service %{name} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{name}
fi


%postun
if [ $1 -ge 1 ]; then	# Upgrade
  /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* TODO
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sbindir}/%{name}
%{_sbindir}/wd_keepalive
%{_datadir}/%{name}
%{_mandir}/man5/*.5*
%{_mandir}/man8/*.8*


%changelog
* Fri Jan 22 2010 Peter Pramberger <peterpramb@member.fsf.org> - 5.7-1
- New version (5.7)

* Wed Jun 24 2009 Peter Pramberger <peterpramb@member.fsf.org> - 5.6-1
- New version (5.6)

* Thu Oct 11 2007 peter.pramberger@member.fsf.org 5.4-6
- new version (5.4)

* Tue Feb 27 2007 peter.pramberger@member.fsf.org 5.2.6-5
- some spec file cleanups (x86_64 support)

* Fri Sep 29 2006 peter.pramberger@member.fsf.org
- fixed startup/shutdown priority (process monitoring)

* Fri Sep 08 2006 peter.pramberger@member.fsf.org
- new version (5.2.6)

* Tue Mar 28 2006 peter.pramberger@member.fsf.org
- created
